Get a note by id
GET
/notes/by-id/{id}
const url = 'https://api.engram.page/notes/by-id/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.engram.page/notes/by-id/example \ --header 'Authorization: Bearer <token>'Returns the full note (including content) for the given note UUID. Returns 400 for a malformed UUID and 404 when no such note exists in the vault.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Note UUID
Responses
Section titled “Responses”Note
Media typeapplication/json
Note
object
content
string
content_hash
string
description
OKF frontmatter description field
string
fm_created
OKF frontmatter created/date field
string format: date-time
fm_timestamp
OKF frontmatter timestamp/modified/updated field
string format: date-time
folder
string
id
string format: uuid
links
Outgoing wikilink/embed edges, resolved.
Array<object>
NoteLinkobject
alias
[[target|alias]] display text.
string
anchor
[[target#anchor]] heading/block reference.
string
dangling
required
True when the target could not be resolved.
boolean
link_type
required
“wikilink” or “embed”.
string
target_attachment_id
string format: uuid
target_note_id
string format: uuid
target_path
Resolved note path.
string
target_text
required
The raw link target as written, e.g. [[target_text]].
string
mtime
Client mtime (epoch seconds)
number format: float
parse_reason
Present when parse_status is “degraded”: {code, message, detail}
object
parse_status
Frontmatter parse outcome
string
path
required
string
resource
OKF frontmatter resource field
string
tags
Array<string>
title
string
type
OKF frontmatter type field
string
updated_at
string format: date-time
version
integer
Example
{ "parse_status": "ok", "path": "Projects/engram.md"}Invalid UUID
No such note